#pragma once

#ifndef RENDER_AREA_HPP
#define RENDER_AREA_HPP


#include <QWidget>
#include <QPixmap>
#include <QBrush>
#include <QPen>
#include <QTime>
#include <QTimer>



class render_area : public QWidget
{
    Q_OBJECT
public:
    render_area(QWidget *parent = 0);
    ~render_area();

    void change_draw_circle();

protected:
     void paintEvent(QPaintEvent *event);
     void mousePressEvent(QMouseEvent *event);
     void mouseMoveEvent(QMouseEvent *event);
     void mouseReleaseEvent(QMouseEvent *event);


private slots:

     void update_timer();

private:

     QPixmap pixmap;
     bool draw_circle;

     int x_old,y_old;
     int x_old2,y_old2;
     float xc,yc,diametre;
     float vxc,vyc;
     float dt;

     bool is_fixed;

     QTimer timer;

};

#endif
